## com.sun.jna.platform.unix
Class X11.XDeviceByReference

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XDeviceByReference

All Implemented Interfaces:
  com.sun.jna.Structure.ByReference

Enclosing interface:
  X11

    public static class X11.XDeviceByReference

extends com.sun.jna.Structure
implements com.sun.jna.Structure.ByReference

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`X11.XInputClassInfoByReference` `classes`
`X11.XID` `device_id`
`int` `num_classes`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XDeviceByReference()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### device_id

    public X11.XID device_id

### num_classes

    public int num_classes

### classes

    public X11.XInputClassInfoByReference classes

Constructor Detail

### X11.XDeviceByReference

    public X11.XDeviceByReference()